Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.jdbc
Interface JDBCListener

All Known Implementing Classes:
  AbstractJDBCListener

public interface JDBCListener

A listener for all `JDBCEvent`s that occur on for a given `JDBCEventConnectionDecorator`.

See Also:
  `AbstractJDBCListener`

Method Summary
`void` | `afterCommit(JDBCEvent event)`
`void` | `afterConnect(JDBCEvent event)`
`void` | `afterCreateStatement(JDBCEvent event)`
`void` | `afterExecuteStatement(JDBCEvent event)`
`void` | `afterPrepareStatement(JDBCEvent event)`
`void` | `afterRollback(JDBCEvent event)`
`void` | `beforeClose(JDBCEvent event)`
`void` | `beforeCommit(JDBCEvent event)`
`void` | `beforeCreateStatement(JDBCEvent event)`
`void` | `beforeExecuteStatement(JDBCEvent event)`
`void` | `beforePrepareStatement(JDBCEvent event)`
`void` | `beforeRollback(JDBCEvent event)`

Method Detail

### beforePrepareStatement

    public void beforePrepareStatement(JDBCEvent event)

  See Also:
    `JDBCEvent.BEFORE_PREPARE_STATEMENT`

### afterPrepareStatement

    public void afterPrepareStatement(JDBCEvent event)

  See Also:
    `JDBCEvent.AFTER_PREPARE_STATEMENT`

### beforeCreateStatement

    public void beforeCreateStatement(JDBCEvent event)

  See Also:
    `JDBCEvent.BEFORE_CREATE_STATEMENT`

### afterCreateStatement

    public void afterCreateStatement(JDBCEvent event)

  See Also:
    `JDBCEvent.AFTER_CREATE_STATEMENT`

### beforeExecuteStatement

    public void beforeExecuteStatement(JDBCEvent event)

  See Also:
    `JDBCEvent.BEFORE_EXECUTE_STATEMENT`

### afterExecuteStatement

    public void afterExecuteStatement(JDBCEvent event)

  See Also:
    `JDBCEvent.AFTER_EXECUTE_STATEMENT`

### beforeCommit

    public void beforeCommit(JDBCEvent event)

  See Also:
    `JDBCEvent.BEFORE_COMMIT`

### afterCommit

    public void afterCommit(JDBCEvent event)

  See Also:
    `JDBCEvent.AFTER_COMMIT`

### beforeRollback

    public void beforeRollback(JDBCEvent event)

  See Also:
    `JDBCEvent.BEFORE_ROLLBACK`

### afterRollback

    public void afterRollback(JDBCEvent event)

  See Also:
    `JDBCEvent.AFTER_ROLLBACK`

### afterConnect

    public void afterConnect(JDBCEvent event)

  See Also:
    `JDBCEvent.AFTER_CONNECT`

### beforeClose

    public void beforeClose(JDBCEvent event)

  See Also:
    `JDBCEvent.BEFORE_CLOSE`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.